Skip to content

Get Seller GET ​

URL: https://api.painelalter.com/api/seller/getSeller

Returns the data of a seller given its alias ID. The token user must have access to the store given in store_alias_id, and the seller is looked up in that store.

Only the stores the user has access to are returned in stores.

Query Parameters ​

ParameterTypeDescription
store_alias_idstringAlias ID of the seller's store.
seller_alias_idstringSeller alias ID.

Request Example ​

GET https://api.painelalter.com/api/seller/getSeller?store_alias_id=STORE-10&seller_alias_id=SELL-001

Response Example ​

json
{
  "seller": {
    "alias_id": "SELL-001",
    "nameSeller": "Ana",
    "isVezActive": 1,
    "stores": [
      {
        "store_alias_id": "STORE-10",
        "isActive": 1,
        "onboardUtcDatetime": "2026-01-01T00:00:00",
        "dismissalLocalDate": null
      }
    ]
  }
}